My Oracle Support Banner

Patching Fails with Error "Optional component(s) [ onewaycopy, ] not present in the Oracle Home or a higher version is found" (Doc ID 1948603.1)

Last updated on NOVEMBER 29, 2019

Applies to:

Oracle Database - Enterprise Edition - Version 9.2.0.8 and later
Information in this document applies to any platform.

Symptoms

Applying Patch 19721304 fails with below errors

Case 1:

SEVERE:OPatch invoked as follows: ‘apply ‘
INFO:
Oracle Home : <ORACLE_HOME>
Central Inventory : <inv_loc>/oraInventory
from : /var/opt/oracle/oraInst.loc
OPatch version : 10.2.0.3.0
OUI version : 10.2.0.3.0
OUI location : <ORACLE_HOME>/oui
Log file location : <ORACLE_HOME>/cfgtoollogs/opatch/opatch2014-11-10_20-59-23PM.log

INFO:Starting ApplySession at Mon Nov 10 20:59:24 CST 2014
INFO:Starting Apply Session at Mon Nov 10 20:59:24 CST 2014
INFO:ApplySession applying interim patch ’19721304′ to OH ‘<ORACLE_HOME>′
INFO:Starting to apply patch to local system at Mon Nov 10 20:59:24 CST 2014
INFO:ApplySession: Optional component(s) [ onewaycopy, ] not present in the Oracle Home or a higher version is found.
INFO:Patch does not have any applicable components. Nothing to do.
INFO:Finish applying patch to local system at Mon Nov 10 20:59:27 CST 2014
INFO:Finishing ApplySession at Mon Nov 10 20:59:27 CST 2014
INFO:Total time spent waiting for user-input is 0 seconds. Finish at Mon Nov 10 20:59:27 CST 2014

Case 2:

Creating log file “<ORACLE_HOME>/.patch_storage/19721304/Apply_19721304_11-10-2014_21-45-44.log”

Starting OPatch Apply session at 11-10-2014_21-45-44.
Command arguments are: apply

OPatch version is: 1.0.0.0.55

The contents of the file: /var/opt/oracle/oraInst.loc

inventory_loc=/oracle/oraInventory
inst_group=dba

Performing RAC pre-req. check…
Accessing inventory … (retry 10 times, delay 30 seconds each time)

System Command: <ORACLE_HOME>/jre/1.3.1/bin/java -Doracle.installer.invPtrLoc=/var/opt/oracle/oraInst.loc -Dopatch.retry=10 -Dopatch.delay=30 -classpath “<ORACLE_HOME>/oui/jlib/OraInstaller.jar:<ORACLE_HOME>/oui/jlib/srvm.jar:<ORACLE_HOME>/OPatch/jlib/opatch.jar:<ORACLE_HOME>/oui/jlib/xmlparserv2.jar:<ORACLE_HOME>/oui/jlib/share.jar:<ORACLE_HOME>/jlib/srvm.jar” opatch/O2O “<ORACLE_HOME>″ “<ORACLE_HOME>/oui” opatch.pl 1.0.0.0.55
::::::::::::::::::::::::::::::::::::
::::::::::::::::::::::::::::::::::::
OPatch detects your platform as 23 while this patch 19721304 supports platforms:
0 (Generic Platform 1)

This patch is not suitable for this operating system.
Please contact support for the correct patch.

OPatch detects your platform as 23 while this patch 19721304 supports platforms:
0 (Generic Platform 1)

This patch is not suitable for this operating system.
Please contact support for the correct patch.

ERROR: OPatch failed during pre-reqs check.

 

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.